> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-4-0/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/configuring-environment-variables-for-the-connectware-agent-helm-chart.md).

# Configuring Environment Variables for the connectware-agent Helm Chart

To define a set of environment variables to be applied to the protocol-mapper agent, use the env list of `name` and `value` pairs inside the agents entry in the `protocolMapperAgents` section of your `values.yaml` file.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgents:
  - name: bender-robots
    connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
    env:
      - name: CYBUS_PROTOCOL_MAPPER_PASSWORD
        value: ooth9oon7Taim]oo
      - name: CUSTOM_ENV_VARIABLE_FOO
        value: bar
```

{% endcode %}

## Unsetting protocolMapperAgentDefaults Environment Variables

If you used the list value `env` in the `protocolMapperAgentDefaults` section of your `values.yaml` file, you can unset them for individual agents by setting the value of `env` to `[]` inside the agents entry in the `protocolMapperAgents` context of your `values.yaml`.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgentDefaults:
  connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
  env:
    - name: CUSTOM_ENV_VARIABLE_FOO
      value: bar
protocolMapperAgents:
  - name: bender-robots # this agent will have the ENV CUSTOM_ENV_VARIABLE_FOO
  - name: welder-robots # this agent will NOT have the ENV CUSTOM_ENV_VARIABLE_FOO
    env: []
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/2-4-0/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/configuring-environment-variables-for-the-connectware-agent-helm-chart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
